Bug 1398929 - Review Request: brightnessctl - Read and control device brightness
Summary: Review Request: brightnessctl - Read and control device brightness
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-27 12:27 UTC by Fabio Alessandro Locati
Modified: 2016-12-18 19:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-11 19:26:31 UTC
Type: ---
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Fabio Alessandro Locati 2016-11-27 12:27:48 UTC
Spec URL: https://fale.fedorapeople.org/rpms/brightnessctl.spec
SRPM URL: https://fale.fedorapeople.org/rpms/brightnessctl-0.1.1_p2-1.fc25.src.rpm
Description: Read and control device brightness
Fedora Account System Username: fale

Comment 1 Igor Gnatenko 2016-11-27 13:24:42 UTC
* Source0:        https://github.com/Hummer12007/%{name}/archive/%{version}.tar.gz
-> Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
* make %{?_smp_mflags}
-> %make_build
* %make_install DESTDIR=%{buildroot}/usr
-> %make_install DESTDIR=%{buildroot}%{_prefix}

! CFLAGS/LDFLAGS are not enforced !


Honestly, I don't like idea to have "_" in version, but I can't find guidelines which prohibits this.

Comment 2 Fabio Alessandro Locati 2016-11-27 14:54:05 UTC
Thanks Igor :).

I've fixed the first three.

I'm not a fan of underscore in versions either, but as you said there is no policy against it.

Comment 4 Gwyn Ciesla 2016-11-28 14:23:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/brightnessctl

Comment 5 Fedora Update System 2016-11-29 10:13:08 UTC
brightnessctl-0.1.1_p2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-064940f7b8

Comment 6 Fedora Update System 2016-11-29 10:13:16 UTC
brightnessctl-0.1.1_p2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c463ab64a5

Comment 7 Fedora Update System 2016-11-29 10:13:21 UTC
brightnessctl-0.1.1_p2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa73e6a36a

Comment 8 Fedora Update System 2016-11-30 05:52:03 UTC
brightnessctl-0.1.1_p2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c463ab64a5

Comment 9 Fedora Update System 2016-12-02 06:27:43 UTC
brightnessctl-0.1.1_p2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa73e6a36a

Comment 10 Fedora Update System 2016-12-02 18:55:45 UTC
brightnessctl-0.1.1_p2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-064940f7b8

Comment 11 Fedora Update System 2016-12-11 19:26:31 UTC
brightnessctl-0.1.1_p2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-11 21:53:40 UTC
brightnessctl-0.1.1_p2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-18 19:49:09 UTC
brightnessctl-0.1.1_p2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.